# boost::numeric::ublas::vector_move_to_manip< T > Class Template Reference

A move_to vector index manipulator. More...

Inherits index_manipulator< vector_move_to_manip< T > >.

List of all members.

## Public Member Functions

BOOST_UBLAS_INLINE | vector_move_to_manip (const T &k)
template<typename V >
BOOST_UBLAS_INLINE void | manip (V &k) const

## Detailed Description

### template<typename T>
class boost::numeric::ublas::vector_move_to_manip< T >

When member function `manip` is called the referenced index will be set to the manipulators' index.

See also:
  move_to(T i)